package intrinsic.mx.events;

public class StateChangeEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public String newState;
	public String oldState;

	/** Constants */
	public static final String CURRENT_STATE_CHANGING = "current_state_changing";
	public static final String VERSION = "version";
	public static final String CURRENT_STATE_CHANGE = "current_state_change";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public StateChangeEvent() {
}

public StateChangeEvent(String arg0) {
}

public StateChangeEvent(String arg0, boolean arg1) {
}

public StateChangeEvent(String arg0, boolean arg1, boolean arg2) {
}

public StateChangeEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public StateChangeEvent(String arg0, boolean arg1, boolean arg2, String arg3, String arg4) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
